import { ChangeDetectorRef } from "@angular/core";
import { MatBottomSheetRef } from "@angular/material/bottom-sheet";
import { MatLegacyDialog as MatDialog, MatLegacyDialogRef as MatDialogRef } from "@angular/material/legacy-dialog";
import { ContactDto, CreateNoteDto, NoteDto } from "@smallstack/axios-api-client";
import { DetailDialogData } from "@smallstack/common-components";
import { ContactCustomFieldStore, ContactsStore } from "@smallstack/crm-components";
import { FilterDataType } from "@smallstack/store-components";
import * as i0 from "@angular/core";
export declare class ContactDetailDialogComponent {
    private matDialogRef;
    private matBottomSheetRef;
    matDialog: MatDialog;
    private contactStore;
    contactCustomFieldStore: ContactCustomFieldStore;
    private cdr;
    FilterDataType: typeof FilterDataType;
    showContact: boolean;
    showNotes: boolean;
    contactNotes: NoteDto[];
    contact: ContactDto;
    contactCustomFieldIds: any[];
    readonly saveNoteFn: (contactId: string, createNote: CreateNoteDto) => Promise<void>;
    constructor(dialogData: DetailDialogData, contactBottomSheet: ContactDto, matDialogRef: MatDialogRef<ContactDetailDialogComponent>, matBottomSheetRef: MatBottomSheetRef, matDialog: MatDialog, contactStore: ContactsStore, contactCustomFieldStore: ContactCustomFieldStore, cdr: ChangeDetectorRef);
    loadNotes(): Promise<void>;
    close(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ContactDetailDialogComponent, [{ optional: true; }, { optional: true; }, { optional: true; }, { optional: true; }, null, null, null, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ContactDetailDialogComponent, "smallstack-contact-detail-dialog", never, {}, {}, never, never, false, never>;
}
