import { SchedulingRuleV2Dto } from "@smallstack/axios-api-client";
import { DataStore } from "@smallstack/common-components";
import { FrontendTypeRegistry } from "@smallstack/type-components";
import { BaseWidgetComponent, SocketAwareWidget } from "@smallstack/widget-core";
import { BehaviorSubject, Observable } from "rxjs";
import * as i0 from "@angular/core";
interface TaskInfo {
    start: number;
    title: string;
    durationInHours: number;
    address: string;
    addressTitle: string;
}
interface DayInfo {
    dayName: string;
    dayStart: number;
    tasks: TaskInfo[];
}
interface Task {
    scheduling: SchedulingRuleV2Dto;
    start: number;
    durationInHours: number;
    title: string;
    userIds: string[];
}
export declare class ResourcePlanningUserTableComponent extends BaseWidgetComponent implements SocketAwareWidget {
    private dataStore;
    private frontendTypeRegistry;
    private tasksStore;
    private immoStore;
    protected user$: Observable<any>;
    protected periodOfTime$: BehaviorSubject<{
        from: number;
        to: number;
    }>;
    protected allTasks$: Observable<Task[]>;
    protected days$: Observable<DayInfo[]>;
    constructor(dataStore: DataStore, frontendTypeRegistry: FrontendTypeRegistry);
    handleSocketData(socketName: string, data?: unknown): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ResourcePlanningUserTableComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ResourcePlanningUserTableComponent, "smallstack-resource-planning-user-table", never, {}, {}, never, never, true, never>;
}
export {};
